## mesa 18.0.0~rc5

=== meson_options.txt ===
# Copyright © 2017 Intel Corporation

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.

option(
  'platforms',
  type : 'string',
  value : 'auto',
  description : 'comma separated list of window systems to support. If this is set to auto all platforms applicable to the OS will be enabled.'
)
option(
  'dri3',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'true', 'false'],
  description : 'enable support for dri3'
)
option(
  'dri-drivers',
  type : 'string',
  value : 'auto',
  description : 'comma separated list of dri drivers to build. If this is set to auto all drivers applicable to the target OS/architecture will be built'
)
option(
  'dri-drivers-path',
  type : 'string',
  value : '',
  description : 'Location to install dri drivers. Default: $libdir/dri.'
)
option(
  'dri-search-path',
  type : 'string',
  value : '',
  description : 'Locations to search for dri drivers, passed as colon separated list. Default: dri-drivers-path.'
)
option(
  'gallium-drivers',
  type : 'string',
  value : 'auto',
  description : 'comma separated list of gallium drivers to build. If this is set to auto all drivers applicable to the target OS/architecture will be built'
)
option(
  'gallium-extra-hud',
  type : 'boolean',
  value : false,
  description : 'Enable HUD block/NIC I/O HUD status support',
)
option(
  'gallium-vdpau',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'true', 'false'],
  description : 'enable gallium vdpau state tracker.',
)
option(
  'vdpau-libs-path',
  type : 'string',
  value : '',
  description : 'path to put vdpau libraries. defaults to $libdir/vdpau.'
)
option(
  'gallium-xvmc',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'true', 'false'],
  description : 'enable gallium xvmc state tracker.',
)
option(
  'xvmc-libs-path',
  type : 'string',
  value : '',
  description : 'path to put xvmc libraries. defaults to $libdir.'
)
option(
  'gallium-omx',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'true', 'false'],
  description : 'enable gallium omx bellagio state tracker.',
)
option(
  'omx-libs-path',
  type : 'string',
  value : '',
  description : 'path to put omx libraries. defaults to omx-bellagio pkg-config pluginsdir.'
)
option(
  'gallium-va',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'true', 'false'],
  description : 'enable gallium va state tracker.',
)
option(
  'va-libs-path',
  type : 'string',
  value : '',
  description : 'path to put va libraries. defaults to $libdir/dri.'
)
option(
  'gallium-xa',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'true', 'false'],
  description : 'enable gallium xa state tracker.',
)
option(
  'gallium-nine',
  type : 'boolean',
  value : false,
  description : 'build gallium "nine" Direct3D 9.x state tracker.',
)
option(
  'gallium-opencl',
  type : 'combo',
  choices : ['icd', 'standalone', 'disabled'],
  value : 'disabled',
  description : 'build gallium "clover" OpenCL state tracker.',
)
option(
  'd3d-drivers-path',
  type : 'string',
  value : '',
  description : 'Location of D3D drivers. Default: $libdir/d3d',
)
option(
  'vulkan-drivers',
  type : 'string',
  value : 'auto',
  description : 'comma separated list of vulkan drivers to build. If this is set to auto all drivers applicable to the target OS/architecture will be built'
)
option(
  'shader-cache',
  type : 'boolean',
  value : true,
  description : 'Build with on-disk shader cache support'
)
option(
  'vulkan-icd-dir',
  type : 'string',
  value : '',
  description : 'Location relative to prefix to put vulkan icds on install. Default: $datadir/vulkan/icd.d'
)
option(
  'shared-glapi',
  type : 'boolean',
  value : true,
  description : 'Whether to build a shared or static glapi'
)
option(
  'gles1',
  type : 'boolean',
  value : true,
  description : 'Build support for OpenGL ES 1.x'
)
option(
  'gles2',
  type : 'boolean',
  value : true,
  description : 'Build support for OpenGL ES 2.x and 3.x'
)
option(
  'opengl',
  type : 'boolean',
  value : true,
  description : 'Build support for OpenGL (all versions)'
)
option(
  'gbm',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'true', 'false'],
  description : 'Build support for gbm platform'
)
option(
  'glx',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'disabled', 'dri', 'xlib', 'gallium-xlib'],
  description : 'Build support for GLX platform'
)
option(
  'egl',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'true', 'false'],
  description : 'Build support for EGL platform'
)
option(
  'glvnd',
  type : 'boolean',
  value : false,
  description : 'Enable GLVND support.'
)
option(
  'asm',
  type : 'boolean',
  value : true,
  description : 'Build assembly code if possible'
)
option(
  'llvm',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'true', 'false'],
  description : 'Build with LLVM support.'
)
option(
  'valgrind',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'true', 'false'],
  description : 'Build with valgrind support'
)
option(
  'libunwind',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'true', 'false'],
  description : 'Use libunwind for stack-traces'
)
option(
  'lmsensors',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'true', 'false'],
  description : 'Enable HUD lmsensors support.'
)
option(
  'build-tests',
  type : 'boolean',
  value : false,
  description : 'Build unit tests. Currently this will build *all* unit tests, which may build more than expected.'
)
option(
  'texture-float',
  type : 'boolean',
  value : false,
  description : 'Enable floating point textures and renderbuffers. This option may be patent encumbered, please read docs/patents.txt and consult with your lawyer before turning this on.'
)
option(
  'selinux',
  type : 'boolean',
  value : false,
  description : 'Build an SELinux-aware Mesa'
)
option(
  'osmesa',
  type : 'combo',
  value : 'none',
  choices : ['none', 'classic', 'gallium'],
  description : 'Build OSmesa.'
)
option(
  'osmesa-bits',
  type : 'combo',
  value : '8',
  choices : ['8', '16', '32'],
  description : 'Number of channel bits for OSMesa.'
)
option(
  'swr-arches',
  type : 'string',
  value : 'avx,avx2',
  description : 'Comma delemited swr architectures. choices : avx,avx2,knl,skx'
)

## mesa 18.2.8

=== SConstruct ===
#######################################################################
# Top-level SConstruct
#
# For example, invoke scons as
#
#   scons build=debug llvm=yes machine=x86
#
# to set configuration variables. Or you can write those options to a file
# named config.py:
#
#   # config.py
#   build='debug'
#   llvm=True
#   machine='x86'
#
# Invoke
#
#   scons -h
#
# to get the full list of options. See scons manpage for more info.
#

import os
import os.path
import sys
import SCons.Util

import common

#######################################################################
# Minimal scons version

EnsureSConsVersion(2, 4)


#######################################################################
# Configuration options

opts = Variables('config.py')
common.AddOptions(opts)

env = Environment(
	options = opts,
	tools = ['gallium'],
	toolpath = ['#scons'],
	ENV = os.environ,
)

# XXX: This creates a many problems as it saves...
#opts.Save('config.py', env)

# Backwards compatability with old target configuration variable
try:
    targets = ARGUMENTS['targets']
except KeyError:
    pass
else:
    targets = targets.split(',')
    print('scons: warning: targets option is deprecated; pass the targets on their own such as')
    print()
    print('  scons %s' % ' '.join(targets))
    print()
    COMMAND_LINE_TARGETS.append(targets)


Help(opts.GenerateHelpText(env))

#######################################################################
# Environment setup

with open("VERSION") as f:
  mesa_version = f.read().strip()
env.Append(CPPDEFINES = [
    ('PACKAGE_VERSION', '\\"%s\\"' % mesa_version),
    ('PACKAGE_BUGREPORT', '\\"https://bugs.freedesktop.org/enter_bug.cgi?product=Mesa\\"'),
])

# Includes
env.Prepend(CPPPATH = [
	'#/include',
])
env.Append(CPPPATH = [
	'#/src/gallium/include',
	'#/src/gallium/auxiliary',
	'#/src/gallium/drivers',
	'#/src/gallium/winsys',
])

# for debugging
#print env.Dump()


# Add a check target for running tests
check = env.Alias('check')
env.AlwaysBuild(check)


#######################################################################
# Invoke host SConscripts
#
# For things that are meant to be run on the native host build machine, instead
# of the target machine.
#

# Create host environent
if env['crosscompile'] and not env['embedded']:
    host_env = Environment(
        options = opts,
        # no tool used
        tools = [],
        toolpath = ['#scons'],
        ENV = os.environ,
    )

    # Override options
    host_env['platform'] = common.host_platform
    host_env['machine'] = common.host_machine
    host_env['toolchain'] = 'default'
    host_env['llvm'] = False

    host_env.Tool('gallium')

    host_env['hostonly'] = True
    assert host_env['crosscompile'] == False

    target_env = env
    env = host_env
    Export('env')

    SConscript(
        'src/SConscript',
        variant_dir = host_env['build_dir'],
        duplicate = 0, # http://www.scons.org/doc/0.97/HTML/scons-user/x2261.html
    )

    env = target_env

Export('env')

#######################################################################
# Invoke SConscripts

# TODO: Build several variants at the same time?
# http://www.scons.org/wiki/SimultaneousVariantBuilds

SConscript(
	'src/SConscript',
	variant_dir = env['build_dir'],
	duplicate = 0 # http://www.scons.org/doc/0.97/HTML/scons-user/x2261.html
)


########################################################################
# List all aliases

try:
    from SCons.Node.Alias import default_ans
except ImportError:
    pass
else:
    aliases = sorted(default_ans.keys())
    env.Help('\n')
    env.Help('Recognized targets:\n')
    for alias in aliases:
        env.Help('    %s\n' % alias)

## mesa 19.2.8

=== SConstruct ===
--- 
+++ 
@@ -31,6 +31,7 @@
 # Minimal scons version
 
 EnsureSConsVersion(2, 4)
+EnsurePythonVersion(2, 7)
 
 
 #######################################################################
@@ -72,7 +73,7 @@
   mesa_version = f.read().strip()
 env.Append(CPPDEFINES = [
     ('PACKAGE_VERSION', '\\"%s\\"' % mesa_version),
-    ('PACKAGE_BUGREPORT', '\\"https://bugs.freedesktop.org/enter_bug.cgi?product=Mesa\\"'),
+    ('PACKAGE_BUGREPORT', '\\"https://gitlab.freedesktop.org/mesa/mesa/issues\\"'),
 ])
 
 # Includes

=== meson_options.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2017 Intel Corporation
+# Copyright © 2017-2018 Intel Corporation
 
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -20,9 +20,12 @@
 
 option(
   'platforms',
-  type : 'string',
-  value : 'auto',
-  description : 'comma separated list of window systems to support. If this is set to auto all platforms applicable to the OS will be enabled.'
+  type : 'array',
+  value : ['auto'],
+  choices : [
+    '', 'auto', 'x11', 'wayland', 'drm', 'surfaceless', 'haiku', 'android',
+  ],
+  description : 'window systems to support. If this is set to `auto`, all platforms applicable will be enabled.'
 )
 option(
   'dri3',
@@ -33,9 +36,10 @@
 )
 option(
   'dri-drivers',
-  type : 'string',
-  value : 'auto',
-  description : 'comma separated list of dri drivers to build. If this is set to auto all drivers applicable to the target OS/architecture will be built'
+  type : 'array',
+  value : ['auto'],
+  choices : ['', 'auto', 'i915', 'i965', 'r100', 'r200', 'nouveau', 'swrast'],
+  description : 'List of dri drivers to build. If this is set to auto all drivers applicable to the target OS/architecture will be built'
 )
 option(
   'dri-drivers-path',
@@ -51,9 +55,14 @@
 )
 option(
   'gallium-drivers',
-  type : 'string',
-  value : 'auto',
-  description : 'comma separated list of gallium drivers to build. If this is set to auto all drivers applicable to the target OS/architecture will be built'
+  type : 'array',
+  value : ['auto'],
+  choices : [
+    '', 'auto', 'kmsro', 'radeonsi', 'r300', 'r600', 'nouveau', 'freedreno',
+    'swrast', 'v3d', 'vc4', 'etnaviv', 'tegra', 'i915', 'svga', 'virgl',
+    'swr', 'panfrost', 'iris', 'lima'
+  ],
+  description : 'List of gallium drivers to build. If this is set to auto all drivers applicable to the target OS/architecture will be built'
 )
 option(
   'gallium-extra-hud',
@@ -91,8 +100,8 @@
   'gallium-omx',
   type : 'combo',
   value : 'auto',
-  choices : ['auto', 'true', 'false'],
-  description : 'enable gallium omx bellagio state tracker.',
+  choices : ['auto', 'disabled', 'bellagio', 'tizonia'],
+  description : 'enable gallium omx state tracker.',
 )
 option(
   'omx-libs-path',
@@ -141,14 +150,16 @@
 )
 option(
   'vulkan-drivers',
-  type : 'string',
-  value : 'auto',
-  description : 'comma separated list of vulkan drivers to build. If this is set to auto all drivers applicable to the target OS/architecture will be built'
+  type : 'array',
+  value : ['auto'],
+  choices : ['', 'auto', 'amd', 'freedreno', 'intel'],
+  description : 'List of vulkan drivers to build. If this is set to auto all drivers applicable to the target OS/architecture will be built'
 )
 option(
   'shader-cache',
-  type : 'boolean',
-  value : true,
+  type : 'combo',
+  value : 'auto',
+  choices : ['auto', 'true', 'false'],
   description : 'Build with on-disk shader cache support'
 )
 option(
@@ -156,6 +167,12 @@
   type : 'string',
   value : '',
   description : 'Location relative to prefix to put vulkan icds on install. Default: $datadir/vulkan/icd.d'
+)
+option(
+  'vulkan-overlay-layer',
+  type : 'boolean',
+  value : false,
+  description : 'Whether to build the vulkan overlay layer'
 )
 option(
   'shared-glapi',
@@ -165,14 +182,16 @@
 )
 option(
   'gles1',
-  type : 'boolean',
-  value : true,
+  type : 'combo',
+  value : 'auto',
+  choices : ['auto', 'true', 'false'],
   description : 'Build support for OpenGL ES 1.x'
 )
 option(
   'gles2',
-  type : 'boolean',
-  value : true,
+  type : 'combo',
+  value : 'auto',
+  choices : ['auto', 'true', 'false'],
   description : 'Build support for OpenGL ES 2.x and 3.x'
 )
 option(
@@ -209,17 +228,23 @@
   description : 'Enable GLVND support.'
 )
 option(
-  'asm',
+   'glx-read-only-text',
+   type : 'boolean',
+   value : false,
+   description : 'Disable writable .text section on x86 (decreases performance)'
+)
+option(
+  'llvm',
+  type : 'combo',
+  value : 'auto',
+  choices : ['auto', 'true', 'false'],
+  description : 'Build with LLVM support.'
+)
+option(
+  'shared-llvm',
   type : 'boolean',
   value : true,
-  description : 'Build assembly code if possible'
-)
-option(
-  'llvm',
-  type : 'combo',
-  value : 'auto',
-  choices : ['auto', 'true', 'false'],
-  description : 'Build with LLVM support.'
+  description : 'Whether to link llvm shared or statically.'
 )
 option(
   'valgrind',
@@ -249,10 +274,10 @@
   description : 'Build unit tests. Currently this will build *all* unit tests, which may build more than expected.'
 )
 option(
-  'texture-float',
-  type : 'boolean',
-  value : false,
-  description : 'Enable floating point textures and renderbuffers. This option may be patent encumbered, please read docs/patents.txt and consult with your lawyer before turning this on.'
+  'install-intel-gpu-tests',
+  type : 'boolean',
+  value : false,
+  description : 'Build and install Intel unit tests which require the GPU.  This option is for developers and the Intel CI system only.'
 )
 option(
   'selinux',
@@ -276,7 +301,60 @@
 )
 option(
   'swr-arches',
-  type : 'string',
-  value : 'avx,avx2',
-  description : 'Comma delemited swr architectures. choices : avx,avx2,knl,skx'
-)
+  type : 'array',
+  value : ['avx', 'avx2'],
+  choices : ['avx', 'avx2', 'knl', 'skx'],
+  description : 'Architectures to build SWR support for.',
+)
+option(
+  'tools',
+  type : 'array',
+  value : [],
+  choices : ['drm-shim', 'etnaviv', 'freedreno', 'glsl', 'intel', 'intel-ui', 'nir', 'nouveau', 'xvmc', 'lima', 'all'],
+  description : 'List of tools to build. (Note: `intel-ui` selects `intel`)',
+)
+option(
+  'power8',
+  type : 'combo',
+  value : 'auto',
+  choices : ['auto', 'true', 'false'],
+  description : 'Enable power8 optimizations.',
+)
+option(
+  'xlib-lease',
+  type : 'combo',
+  value : 'auto',
+  choices : ['auto', 'true', 'false'],
+  description : 'Enable VK_EXT_acquire_xlib_display.'
+)
+option(
+  'glx-direct',
+  type : 'boolean',
+  value : true,
+  description : 'Enable direct rendering in GLX and EGL for DRI',
+)
+option(
+  'I-love-half-baked-turnips',
+  type : 'boolean',
+  value : false,
+  description : 'Allow work-in-progress freedreno vulkan driver to be enabled',
+)
+option('egl-lib-suffix',
+  type : 'string',
+  value : '',
+  description : 'Suffix to append to EGL library name.  Default: none.'
+)
+option(
+  'gles-lib-suffix',
+  type : 'string',
+  value : '',
+  description : 'Suffix to append to GLES library names.  Default: none.'
+)
+option(
+  'platform-sdk-version',
+  type : 'integer',
+  min : 25,
+  max : 28,
+  value : 25,
+  description : 'Android Platform SDK version. Default: Nougat version.'
+)

## mesa 20.0.4

=== meson_options.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2017-2018 Intel Corporation
+# Copyright © 2017-2019 Intel Corporation
 
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -24,6 +24,7 @@
   value : ['auto'],
   choices : [
     '', 'auto', 'x11', 'wayland', 'drm', 'surfaceless', 'haiku', 'android',
+    'windows',
   ],
   description : 'window systems to support. If this is set to `auto`, all platforms applicable will be enabled.'
 )
@@ -60,7 +61,7 @@
   choices : [
     '', 'auto', 'kmsro', 'radeonsi', 'r300', 'r600', 'nouveau', 'freedreno',
     'swrast', 'v3d', 'vc4', 'etnaviv', 'tegra', 'i915', 'svga', 'virgl',
-    'swr', 'panfrost', 'iris', 'lima'
+    'swr', 'panfrost', 'iris', 'lima', 'zink'
   ],
   description : 'List of gallium drivers to build. If this is set to auto all drivers applicable to the target OS/architecture will be built'
 )
@@ -143,6 +144,12 @@
   description : 'build gallium "clover" OpenCL state tracker.',
 )
 option(
+  'opencl-spirv',
+  type : 'boolean',
+  value : false,
+  description : 'build gallium "clover" OpenCL state tracker with SPIR-V binary support.',
+)
+option(
   'd3d-drivers-path',
   type : 'string',
   value : '',
@@ -176,9 +183,10 @@
 )
 option(
   'shared-glapi',
-  type : 'boolean',
-  value : true,
-  description : 'Whether to build a shared or static glapi'
+  type : 'combo',
+  value : 'auto',
+  choices : ['auto', 'true', 'false'],
+  description : 'Whether to build a shared or static glapi. Defaults to false on Windows, true elsewhere'
 )
 option(
   'gles1',
@@ -307,6 +315,13 @@
   description : 'Architectures to build SWR support for.',
 )
 option(
+  'shared-swr',
+  type : 'boolean',
+  value : true,
+  description : 'Whether to link SWR shared or statically.',
+)
+
+option(
   'tools',
   type : 'array',
   value : [],
@@ -338,6 +353,12 @@
   type : 'boolean',
   value : false,
   description : 'Allow work-in-progress freedreno vulkan driver to be enabled',
+)
+option(
+  'prefer-iris',
+  type : 'boolean',
+  value : true,
+  description : 'Prefer new Intel iris driver over older i965 driver'
 )
 option('egl-lib-suffix',
   type : 'string',
@@ -358,3 +379,10 @@
   value : 25,
   description : 'Android Platform SDK version. Default: Nougat version.'
 )
+option(
+  'zstd',
+  type : 'combo',
+  choices : ['auto', 'true', 'false'],
+  value : 'auto',
+  description : 'Use ZSTD instead of ZLIB in some cases.'
+)

## mesa 20.0.7

=== debian/changelog ===
mesa (20.0.7-0.1~mx19ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19 AHS.
  * removed --with quilt \ from debian/rules line 242
  * changed debian/source/format to 3.0 (quilt)
  * change BD libva-dev from (>= 1.6.0) to (>= 1.7.1)

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Wed, 20 May 2020 15:10:10 -0400

mesa (20.0.6-3~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19 AHS.
  * removed --with quilt \ from debian/rules line 242
  * changed debian/source/format to 3.0 (quilt)

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Sun, 17 May 2020 07:51:54 -0400

mesa (20.0.6-3) unstable; urgency=medium

  * src_glx_dri_common.h.diff: Dropped, breaks the build.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 08 May 2020 12:44:12 +0300

mesa (20.0.6-2) unstable; urgency=medium

  [ Timo Aaltonen ]
  * control: Bump libdrm-dev build-dep.

  [ Svante Signell ]
  * src_glx_dri_common.h.diff: Fix build on Hurd. (Closes: #959975)

  [ Frédéric Bonnard ]
  * Fix ppc64el FTBFS. (Closes: #959943)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 08 May 2020 11:00:10 +0300

mesa (20.0.6-1) unstable; urgency=medium

  * New upstream release.
  * patches: Drop upstreamed patches, refresh llvm-10 build-fix.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 05 May 2020 10:37:18 +0300

mesa (20.0.4-2) unstable; urgency=medium

  * fix-build-with-llvm-10.diff: Add a patch to fix build with Polly,
    and build with llvm-10 again. (Closes: #956004)
  * iris-drop-cache-coherent-cpu-mapping.diff: Fix corruption with iris
    (Closes: #954311) (LP: #1864274)
  * gallium-fix-bob-compute-shaders.diff: Fix vaapi with bob
    deinterlacing. (LP: #1867188)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 15 Apr 2020 10:16:24 +0300

mesa (20.0.4-1) unstable; urgency=medium

  * New upstream release.
  * path_max.diff, libglx-mesa0.symbols.hurd: Fix build on Hurd.
    (Closes: #955351)
  * upstream/signing-key.asc: Added Eric Engestrom's key.
  * source/local-options: Update extend-diff-ignore.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 05 Apr 2020 23:39:55 +0300

mesa (20.0.2-1) unstable; urgency=medium

  * New upstream release.
  * control: Revert to building with llvm/clang-9, until it builds with
    10.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 19 Mar 2020 16:03:53 +0200

mesa (20.0.1-2) experimental; urgency=medium

  * control: Fix clang build-dep to actually use libclang-10-dev.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 09 Mar 2020 23:20:30 +0200

mesa (20.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 09 Mar 2020 17:40:08 +0200

mesa (20.0.0-1) experimental; urgency=medium

  * New upstream release.
  * control: Use debhelper-compat, bump to 12.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 20 Feb 2020 10:46:06 +0200

mesa (20.0.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.
  * rules: Fix dh_auto_test accepting failure.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 14 Feb 2020 14:07:05 +0200

mesa (20.0.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * rules: Make running tests non-fatal, until they're actually expected
    to pass on each arch.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 10 Feb 2020 15:02:10 +0200

mesa (20.0.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * control: Add libzstd-dev to build-depends for zstd compressed shader
    cache support.
  * rules, fix-python-shebang.diff: Enable tests again to see where we
    are now.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 04 Feb 2020 15:46:02 +0200

mesa (20.0.0~git20200129-1) experimental; urgency=medium

  * New upstream snapshot.
  * mesa-vulkan-drivers.install: Include overlay control script.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 29 Jan 2020 09:29:20 +0200

mesa (19.3.3-1) unstable; urgency=medium

  * New upstream release.
  * rules: Build zink on x86.
  * control: Add libglvnd-dev to libegl1-mesa-dev/libgles2-mesa-
    dev/libgl1-mesa-dev Depends to ease the transition. (Closes: #949677)
  * drisw-fix-depth-for-ximage.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 28 Jan 2020 21:45:02 +0200

mesa (19.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 15 Jan 2020 14:55:29 +0200

mesa (19.3.1-4) unstable; urgency=medium

  [ Julien Cristau ]
  * Ensure strict dependencies on libglapi-mesa (closes: #947813).

  [ Timo Aaltonen ]
  * control: Add libgl{,x}-dev to mesa-common-dev Depends. (Closes:
    #947392)
  * drisw-fix-depth-for-ximage.diff: Fix sw driver rgbBits/depth calculation.
    (Closes: #947196)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 08 Jan 2020 11:38:56 +0200

mesa (19.3.1-3) unstable; urgency=medium

  * control, rules: Actually build radv on mipsel, drop mips from
    everywhere since it's not an arch anymore. (Closes: #947310)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 25 Dec 2019 22:05:01 +0200

mesa (19.3.1-2) unstable; urgency=medium

  * rules: Build radv on mips/mipsel again.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 19 Dec 2019 23:17:58 +0200

mesa (19.3.1-1) unstable; urgency=medium

  * New upstream release.
  * fix-radv-secure-compile.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 19 Dec 2019 16:45:25 +0200

mesa (19.3.0-1) experimental; urgency=medium

  * New upstream release.
  * fix-radv-secure-compile.diff: Fix radv build where __NR__newselect
    isn't defined.
  * rules: Restore radv build on non-x86 archs.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 13 Dec 2019 01:39:02 +0200

mesa (19.3.0~rc6-1) experimental; urgency=medium

  * New upstream release candidate.
  * control, rules: Don't build radv on non-x86.
  * Don't install EGL/GL/GLES headers or pkg-config files, they're
    shipped by libglvnd 1.3.0 now. Make old -dev packages transitional,


=== debian/control ===
Source: mesa
Section: graphics
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Andreas Boll <aboll@debian.org>
Standards-Version: 4.1.4
Build-Depends:
 debhelper-compat (= 12),
 glslang-tools [amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el s390x sparc64 x32],
 meson (>= 0.45),
 quilt (>= 0.63-8.2~),
 pkg-config,
 libdrm-dev (>= 2.4.101) [!hurd-any],
 libx11-dev,
 libxxf86vm-dev,
 libexpat1-dev,
 libsensors-dev [!hurd-any],
 libxfixes-dev,
 libxdamage-dev,
 libxext-dev,
 libva-dev (>= 1.7.1) [linux-any kfreebsd-any] <!pkg.mesa.nolibva>,
 libvdpau-dev (>= 1.1.1) [linux-any kfreebsd-any],
 libvulkan-dev [amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el s390x sparc64 x32],
 x11proto-dev,
 linux-libc-dev (>= 2.6.31) [linux-any],
 libx11-xcb-dev,
 libxcb-dri2-0-dev (>= 1.8),
 libxcb-glx0-dev (>= 1.8.1),
 libxcb-xfixes0-dev,
 libxcb-dri3-dev,
 libxcb-present-dev,
 libxcb-randr0-dev,
 libxcb-sync-dev,
 libxrandr-dev,
 libxshmfence-dev (>= 1.1),
 libzstd-dev,
 python3,
 python3-mako,
 python3-setuptools,
 flex,
 bison,
 libelf-dev [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips64el mipsel powerpc ppc64 ppc64el s390x sparc64],
 libwayland-dev (>= 1.15.0) [linux-any],
 libwayland-egl-backend-dev (>= 1.15.0) [linux-any],
 llvm-10-dev (>= 1:10.0.0-4~) [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips64el mipsel powerpc ppc64 ppc64el s390x sparc64],
 libclang-10-dev (>= 1:10.0.0-4~) [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips64el mipsel powerpc ppc64 ppc64el s390x sparc64],
 libclc-dev (>= 0.2.0+git20190827-5~) [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips64el mipsel powerpc ppc64 ppc64el s390x sparc64],
 wayland-protocols (>= 1.9),
 zlib1g-dev,
 libglvnd-dev (>= 1.3.0),
Vcs-Git: https://salsa.debian.org/xorg-team/lib/mesa.git
Vcs-Browser: https://salsa.debian.org/xorg-team/lib/mesa
Homepage: https://mesa3d.org/

Package: libxatracker2
Section: libs
Architecture: amd64 i386 x32
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: X acceleration library -- runtime
 This package contains the XA (X acceleration) library.  It is used exclusively
 by the X server to do render, copy and video acceleration.
 .
 XA is intended to be used by the vmware driver for virtualized X acceleration.

Package: libxatracker-dev
Section: libdevel
Architecture: amd64 i386 x32
Depends:
 libxatracker2 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: X acceleration library -- development files
 This package contains the XA (X acceleration) library.  It is used exclusively
 by the X server to do render, copy and video acceleration.
 .
 XA is intended to be used by the vmware driver for virtualized X acceleration.
 .
 This package provides the development environment for compiling programs
 against the xatracker library.

Package: libd3dadapter9-mesa
Section: libs
Architecture: amd64 arm64 armel armhf i386 kfreebsd-i386 powerpc
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libudev1 [linux-any],
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: state-tracker for Direct3D9
 This package contains a Gallium3D state tracker that implements the Direct3D9
 API.  Combined with the gallium-nine branch of Wine, programs using D3D9 can
 achieve native (or better) graphics performance.

Package: libd3dadapter9-mesa-dev
Section: libdevel
Architecture: amd64 arm64 armel armhf i386 kfreebsd-i386 powerpc
Depends:
 libd3dadapter9-mesa (= ${binary:Version}),
 libudev1 [linux-any],
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: state-tracker for Direct3D9 -- development files
 This package contains a Gallium3D state tracker that implements the Direct3D9
 API.  Combined with the gallium-nine branch of Wine, programs using D3D9 can
 achieve native (or better) graphics performance.
 .
 Development files

Package: libgbm1
Section: libs
Architecture: linux-any kfreebsd-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: generic buffer management API -- runtime
 This package contains the GBM buffer management library.  It provides a
 mechanism for allocating buffers for graphics rendering tied to Mesa.
 .
 GBM is intended to be used as a native platform for EGL on drm or openwfd.

Package: libgbm-dev
Section: libdevel
Architecture: linux-any kfreebsd-any
Depends:
 libgbm1 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: generic buffer management API -- development files
 This package contains the GBM buffer management library.  It provides a
 mechanism for allocating buffers for graphics rendering tied to Mesa.
 .
 GBM is intended to be used as a native platform for EGL on drm or openwfd.
 .
 This package provides the development environment for compiling programs
 against the GBM library.

Package: libegl-mesa0
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libgbm1 (= ${binary:Version}) [!hurd-any],
Provides: libegl-vendor
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: free implementation of the EGL API -- Mesa vendor library
 This package contains the EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES.
 .
 This package contains the Mesa vendor library for EGL.

Package: libegl1-mesa
Section: oldlibs
Architecture: any
Depends:
 libegl1,
 ${misc:Depends},
Multi-Arch: same
Description: transitional dummy package
 This is a transitional dummy package, it can be safely removed.

Package: libegl1-mesa-dev
Section: libdevel
Architecture: any
Depends:
 libegl-dev,
 libglvnd-dev,
 ${misc:Depends},
Multi-Arch: same
Description: free implementation of the EGL API -- development files
 This package contains the development environment required for compiling
 programs against EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES.
 .
 This package provides the development environment for compiling programs
 against the EGL library.

Package: libwayland-egl1-mesa
Section: oldlibs
Architecture: linux-any
Depends:
 ${misc:Depends},
 libegl1,
 libwayland-egl1,
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: transitional dummy package
 This is a transitional dummy package, it can be safely removed.

Package: libgles2-mesa
Section: oldlibs
Architecture: any
Depends:
 libgles2,
 ${misc:Depends},
Multi-Arch: same
Description: transitional dummy package
 This is a transitional dummy package, it can be safely removed.

Package: libgles2-mesa-dev
Section: oldlibs
Architecture: any
Depends:
 libgles-dev,
 libglvnd-dev,
 ${misc:Depends},
Multi-Arch: same
Description: transitional dummy package
 This is a transitional dummy package, it can be safely removed.

Package: libglapi-mesa
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: free implementation of the GL API -- shared library
 The Mesa GL API module is responsible for dispatching all the gl*
 functions. It is intended to be mainly used by both the libgles1-mesa
 and libgles2-mesa packages.

Package: libglx-mesa0
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libgl1-mesa-dri,
Provides: libglx-vendor
Breaks:
 libopengl-perl (<< 0.6704+dfsg-2),
 glx-diversions (<< 0.8.4~),
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: free implementation of the OpenGL API -- GLX vendor library
 Mesa is a 3-D graphics library with an API which is very similar to
 that of OpenGL.  To the extent that Mesa utilizes the OpenGL command
 syntax or state machine, it is being used with authorization from
 Silicon Graphics, Inc.  However, the authors make no claim that Mesa
 is in any way a compatible replacement for OpenGL or associated with
 Silicon Graphics, Inc.
 .
 This version of Mesa provides GLX and DRI capabilities: it is capable of
 both direct and indirect rendering.  For direct rendering, it can use DRI
 modules from the libgl1-mesa-dri package to accelerate drawing.
 .
 This package does not include the modules themselves: these can be found
 in the libgl1-mesa-dri package.

Package: libgl1-mesa-glx
Section: oldlibs
Architecture: any
Depends:
 libgl1,
 libglx-mesa0,
 ${misc:Depends},
Multi-Arch: same
Description: transitional dummy package
 This is a transitional dummy package, it can be safely removed.

Package: libgl1-mesa-dri
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Multi-Arch: same
Description: free implementation of the OpenGL API -- DRI modules
 This version of Mesa provides GLX and DRI capabilities: it is capable of
 both direct and indirect rendering.  For direct rendering, it can use DRI
 modules from the libgl1-mesa-dri package to accelerate drawing.
 .
 This package does not include the OpenGL library itself, only the DRI
 modules for accelerating direct rendering.
 .
 For a complete description of Mesa, please look at the
 libglx-mesa0 package.

Package: libgl1-mesa-dev
Section: oldlibs
Architecture: any
Depends:
 libgl-dev,
 libglvnd-dev,
 ${misc:Depends},
Multi-Arch: same
Description: transitional dummy package
 This is a transitional dummy package, it can be safely removed.

Package: mesa-common-dev
Section: libdevel
Architecture: any
Depends:
 libgl-dev,
 libglx-dev,
 libx11-dev,
 libdrm-dev (>= 2.4.95) [!hurd-any],
 ${misc:Depends},
Breaks: libegl1-mesa-dev (<< 18.2.5-2)
Replaces: libegl1-mesa-dev (<< 18.2.5-2)
Multi-Arch: same
Description: Developer documentation for Mesa
 This package includes the specifications for the Mesa-specific OpenGL
 extensions, the complete set of release notes and the development header
 files common to all Mesa packages.

Package: libosmesa6
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Mesa Off-screen rendering extension
 OSmesa is a Mesa extension that allows programs to render to an
 off-screen buffer using the OpenGL API without having to create a
 rendering context on an X Server.  It uses a pure software renderer.
 .
 This package provides both 16-bit and 32-bit versions of the off-screen
 renderer which do not require external libraries to work.

Package: libosmesa6-dev
Section: libdevel
Architecture: any
Depends:
 libosmesa6 (= ${binary:Version}),
 mesa-common-dev (= ${binary:Version}) | libgl-dev,
 ${misc:Depends},
Conflicts: libosmesa-dev
Replaces: libosmesa-dev
Provides: libosmesa-dev
Multi-Arch: same
Description: Mesa Off-screen rendering extension -- development files
 This package provides the required environment for developing programs
 that use the off-screen rendering extension of Mesa.
 .
 For more information on OSmesa see the libosmesa6 package.

Package: mesa-va-drivers
Section: libs
Architecture: linux-any kfreebsd-any
Build-Profiles: <!pkg.mesa.nolibva>
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Enhances:
 libva2,
Provides:
 va-driver,
Breaks: vdpau-va-driver (<< 0.7.4-5)
Replaces: vdpau-va-driver (<< 0.7.4-5)
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: Mesa VA-API video acceleration drivers
 These libraries provide the Video Acceleration API (VA-API) for Unix.
 They provide accelerated video playback (incl. H.264) and video
 post-processing for the supported graphics cards.
 .
 This package enables support for VA-API for some gallium drivers.

Package: mesa-vdpau-drivers
Section: libs
Architecture: linux-any kfreebsd-any
Depends:
 libvdpau1,
 ${shlibs:Depends},
 ${misc:Depends},
Enhances:

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the Debian mesa package
# Copyright © 2006 Thierry Reding <thierry@gilfi.de>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

ifeq (,$(filter $(DEB_HOST_ARCH), armhf sh3 sh4))
buildflags = \
	$(shell DEB_CFLAGS_MAINT_APPEND=-Wall DEB_CXXFLAGS_MAINT_APPEND=-Wall dpkg-buildflags --export=configure)
else
  ifneq (,$(filter $(DEB_HOST_ARCH), armhf))
  # Workaround for a variant of LP: #725126
  buildflags = \
	$(shell DEB_CFLAGS_MAINT_APPEND="-Wall -fno-optimize-sibling-calls" DEB_CXXFLAGS_MAINT_APPEND="-Wall -fno-optimize-sibling-calls" dpkg-buildflags --export=configure)
  else
  # Workaround for https://gcc.gnu.org/bugzilla/show_bug.cgi?id=83143
  buildflags = \
	$(shell DEB_CFLAGS_MAINT_APPEND="-Wall -O1" DEB_CXXFLAGS_MAINT_APPEND="-Wall -O1" dpkg-buildflags --export=configure)
  endif
endif

DRI_DRIVERS =
GALLIUM_DRIVERS =
VULKAN_DRIVERS =

confflags_DRI3 = -Ddri3=false

# hurd doesn't do direct rendering
ifeq ($(DEB_HOST_ARCH_OS), hurd)
	EGL_PLATFORMS = x11

	confflags_DIRECT_RENDERING = -Dglx-direct=false
	confflags_GBM = -Dgbm=false
	confflags_OSMESA = -Dosmesa=classic
	DRI_DRIVERS = swrast,
else
	EGL_PLATFORMS = x11,surfaceless

  ifeq ($(DEB_HOST_ARCH_OS), linux)
	confflags_DRI3 = -Ddri3=true
	DRI_DRIVERS += nouveau,
	# Gallium drivers which require kernel support, not yet ported to non-Linux
	GALLIUM_DRIVERS += nouveau, virgl,

	# Freedreno requires arm in addition
	ifneq (,$(filter arm arm64,$(DEB_HOST_ARCH_CPU)))
		GALLIUM_DRIVERS += freedreno,
	endif

	# etnaviv, kmsro, tegra, vc4 and v3d kernel support are only available on armhf and arm64
	ifneq (,$(filter $(DEB_HOST_ARCH), armhf arm64))
		GALLIUM_DRIVERS += etnaviv, kmsro, lima, panfrost, tegra, vc4, v3d,
	endif

	ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386 x32))
		GALLIUM_DRIVERS += svga,zink,
		# svga needs xa state tracker
		confflags_GALLIUM += -Dgallium-xa=true
		VULKAN_DRIVERS += intel,
	endif

	# Non-Linux ports also lack *_CLOEXEC and epoll, so wayland isn't ready yet:
	EGL_PLATFORMS += ,wayland

  endif

	EGL_PLATFORMS += ,drm

  # Build intel drivers on archs where libdrm-intel is installed
  ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386 kfreebsd-amd64 kfreebsd-i386 x32))
	DRI_DRIVERS += i915, i965,
	GALLIUM_DRIVERS += iris,
  endif

	DRI_DRIVERS += r200, r100,
	GALLIUM_DRIVERS += r600, r300,

  # LLVM is required for building r300g, radeonsi and llvmpipe drivers.
  # It's also required for building OpenCL support.
  ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips64el mipsel powerpc ppc64 ppc64el s390x sparc64))
	GALLIUM_DRIVERS += radeonsi, swrast,
	confflags_GALLIUM += -Dllvm=true
	confflags_GALLIUM += -Dgallium-opencl=icd
	confflags_OSMESA = -Dosmesa=gallium

	# nine makes sense only on archs that build wine
	ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 kfreebsd-i386 powerpc))
		confflags_GALLIUM += -Dgallium-nine=true
	endif
  else
	DRI_DRIVERS += swrast,
	confflags_GALLIUM += -Dllvm=false
	confflags_OSMESA = -Dosmesa=classic
  endif

  # radv needs LLVM and the Vulkan loader, so only build on the subset of
  # arches where we have LLVM enabled and where the Vulkan loader is built.
  ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el s390x sparc64))
	VULKAN_DRIVERS += amd,
  endif

  # build vulkan overlay where Vulkan loader is available
  ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el s390x sparc64 x32))
	confflags_VULKAN += -Dvulkan-overlay-layer=true
  endif

	confflags_DIRECT_RENDERING = -Dglx-direct=true
	confflags_GBM = -Dgbm=true
	confflags_GALLIUM += -Dgallium-extra-hud=true
	confflags_GALLIUM += -Dgallium-vdpau=true
	confflags_GALLIUM += -Dlmsensors=true

  ifeq (,$(filter pkg.mesa.nolibva,$(DEB_BUILD_PROFILES)))
        confflags_GALLIUM += -Dgallium-va=true
  endif
endif

confflags_EGL = -Dplatforms="$(EGL_PLATFORMS)"
confflags_GLES = -Dgles1=false -Dgles2=true
confflags_GALLIUM += -Dgallium-drivers="$(GALLIUM_DRIVERS)"

confflags += \
	-Ddri-drivers="$(DRI_DRIVERS)" \
	-Ddri-drivers-path=/usr/lib/$(DEB_HOST_MULTIARCH)/dri \
	-Ddri-search-path='/usr/lib/$(DEB_HOST_MULTIARCH)/dri:\$$$${ORIGIN}/dri:/usr/lib/dri' \
	-Dvulkan-drivers="$(VULKAN_DRIVERS)" \
	-Dglvnd=true \
	-Dshared-glapi=true \
	-Dgallium-xvmc=false \
	-Dgallium-omx=disabled \
	-Db_ndebug=true \
	-Dbuild-tests=true \
	$(confflags_DIRECT_RENDERING) \
	$(confflags_GBM) \
	$(confflags_DRI3) \
	$(confflags_EGL) \
	$(confflags_GALLIUM) \
	$(confflags_GLES) \
	$(confflags_OSMESA) \
	$(confflags_VULKAN)

override_dh_strip:
	dh_strip --no-automatic-dbgsym
	
override_dh_clean:
	rm -rf .pc
	rm -rf build
	rm -rf configure bin/config.guess bin/config.sub config.h.in
	rm -rf $$(find -name Makefile.in)
	rm -rf bin/install-sh bin/ltmain.sh
	for file in debian/*.in; do rm -f $${file%%.in}; done
	rm -rf src/amd/compiler/__pycache__/ src/amd/registers/__pycache__
	rm -rf src/amd/vulkan/*.pyc src/amd/vulkan/__pycache__/
	rm -rf src/compiler/nir/*.pyc src/compiler/nir/__pycache__/
	rm -rf src/egl/generate/*.pyc src/egl/generate/__pycache__/
	rm -rf src/gallium/auxiliary/util/*.pyc src/gallium/auxiliary/util/__pycache__/
	rm -rf src/intel/vulkan/*.pyc src/intel/vulkan/__pycache__/
	rm -rf src/mapi/glapi/gen/*.pyc src/mapi/glapi/gen/__pycache__/ src/mapi/new/__pycache__/
	rm -rf src/mesa/main/*.pyc src/mesa/main/__pycache__/
	dh_clean

override_dh_auto_configure:
	$(buildflags) dh_auto_configure -- \
		$(confflags)

override_dh_auto_install:
	dh_auto_install
	for file in debian/*.in; \
	do \
		sed -e"s,\$${DEB_HOST_MULTIARCH},$(DEB_HOST_MULTIARCH),g" \
			$${file} > $${file%%.in}; \
	done

# some tests are expected to fail for now, drop this when upstream has
# better cross-build testing in place and expected failures fixed
override_dh_auto_test:
	-dh_auto_test

allpkg = $(shell dh_listpackages -a)

override_dh_installchangelogs:
	dh_installchangelogs -a
	dh_installchangelogs -pmesa-common-dev

override_dh_install:
	# purge .la files
	find debian/tmp/ -name '*.la' -exec rm '{}' ';'

	# Get rid of some files which aren't installed. Do not
	# use -f to ensure we notice disappearing files:
	rm debian/tmp/usr/lib/*/libglapi.so
	rm debian/tmp/usr/lib/*/libEGL_mesa.so
	rm debian/tmp/usr/lib/*/libGLX_mesa.so

	# Copy the hardlinked *_dri.so correctly.
	install -m755 -d debian/libgl1-mesa-dri/usr/lib/${DEB_HOST_MULTIARCH}/dri/
	mv debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/dri/*_dri.so \
	   debian/libgl1-mesa-dri/usr/lib/${DEB_HOST_MULTIARCH}/dri/

  # Remove vulkan headers only where they get installed in tmp
  # We ship those headers via src:vulkan / libvulkan-dev
  ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386 x32))
	rm debian/tmp/usr/include/vulkan/vulkan_intel.h
	rmdir debian/tmp/usr/include/vulkan
  endif

  ifneq ($(DEB_HOST_ARCH_OS), hurd)
	# Copy the hardlinked vdpau drivers correctly.
	install -m755 -d debian/mesa-vdpau-drivers/usr/lib/${DEB_HOST_MULTIARCH}/vdpau/
	mv debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/vdpau/libvdpau*.so* \
	   debian/mesa-vdpau-drivers/usr/lib/${DEB_HOST_MULTIARCH}/vdpau/

    ifeq (,$(filter pkg.mesa.nolibva,$(DEB_BUILD_PROFILES)))
	# Copy the hardlinked va drivers correctly.
	install -m755 -d debian/mesa-va-drivers/usr/lib/${DEB_HOST_MULTIARCH}/dri/
	mv debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/dri/*_drv_video.so \
	   debian/mesa-va-drivers/usr/lib/${DEB_HOST_MULTIARCH}/dri/
    endif
  endif

	dh_install -a

	# Install bug control and script:
	set -e; for p in $(allpkg); do \
		install -d debian/$$p/usr/share/bug/$$p && \
